package user_cv

import (
	"git.hilo.cn/hilo-common/resource/mysql"
	"hilo-user/_const/enum/gift_e"
)

type UserBag struct {
	BagId          mysql.ID             `json:"bagId"`           // 背包id
	ResType        mysql.Type           `json:"resType"`         // 道具类型 1:礼物道具
	ResId          mysql.ID             `json:"resId"`           // 道具资源id
	GiftId         mysql.ID             `json:"giftId"`          // 礼物id,同礼物面板结构体
	Name           string               `json:"name"`            // 资源名称
	DiamondNum     mysql.Num            `json:"diamondNum"`      // 钻石数量
	IconUrl        string               `json:"iconUrl"`         // icon url
	SvgaUrl        string               `json:"svgaUrl"`         // svga url
	Count          mysql.Num            `json:"count"`           // 拥有数量
	RemainDays     int                  `json:"remainDays"`      // 有效天数
	Tags           []gift_e.GiftTagType `json:"tags"`            // 角标
	ShowEntry      bool                 `json:"showEntry"`       // 是否显示快捷入口
	GroupBroadcast bool                 `json:"group_broadcast"` // 是否群组群发
	SenderAvatar   string               `json:"senderAvatar"`    // key：sender_avatar
	ReceiverAvatar string               `json:"receiverAvatar"`  // key：receiver_avatar
}
